ALEPH(1)

NAME
aleph - the Aleph interpreter

SYNOPSIS
aleph [ -h ] [ -v ] [ -f assert ] [ -i path ] [ file ] [ arguments ]

DESCRIPTION
aleph invokes the aleph command-line interpreter. Without arguments, the interpreter is invoked interactively. With one or several arguments, the first argument is taken as the file to execute. The rest of the command line is the arguments for the file being executed.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-f assert
    enables assertion checking.

-i path
    add a directory or librarian to the file search path

VERSION
The current version is 0.8.1

SEE ALSO
axl(1), axc(1)

DEBIAN NOTES
Aleph comes with an extensive documentation. With Debian, look into /usr/share/doc/aleph-doc for more information. You might need to install the aleph-doc package.

FREEBSD NOTES
Aleph comes with an extensive documentation. With FreeBSD, you can download the preformated documentation from <ftp.aleph-lang.org>.

AUTHOR
aleph has been written by Amaury Darsch <amaury@ethernix.org>. This man page has been written by Philippe Troin <phil@fifi.org> for Debian, and updated by Amaury Darsch <amaury@ethernix.org> for FreeBSD.